#include <bits/stdc++.h>
#include <string.h>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    string a;
    cin>>a;
    int ds=0;
    int res=0;
    for(int i =0;i<19;i++){
    
    	ds =a[i]-48;
    	if(ds>0&&ds<10){
    	//cout<<" ds "<< ds<<endl;
    
    		while(ds>=5){ds-=5;res++;}
    		while(ds>=2){ds-=2;res++;}
    		while(ds>=1){ds-=1;res++;}
    	}
	}
	cout<<res;
	return 0;
}